import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Label;
import java.awt.Panel;

import quadbase.chart.designer.QbChartDesigner;

public class CDWithDataRegistry extends Applet {
	static final long serialVersionUID = 1; 	
	public QbChartDesigner designer;

	public static void main(java.lang.String[] args) {

		try {

			CDWithDataRegistry doChart = new CDWithDataRegistry();
			doChart.doChartDesignerWithDataRegApplet(null);

		} catch (Exception ex) { ex.printStackTrace(); }

	}

	public void init()  {

		try {

			doChartDesignerWithDataRegApplet(this);
			setLayout(new BorderLayout());
			Panel panel = new Panel();
			panel.setLayout(new BorderLayout());
			panel.add("Center", new Label("LOADING"));
			add("Center", panel);

		} catch (Exception ex) { ex.printStackTrace(); }

	}

	public void doChartDesignerWithDataRegApplet(Object parent) throws Exception {
		// Connect to EspressManager
		QbChartDesigner.setServerAddress("127.0.0.1");
		QbChartDesigner.setServerPortNumber(22071);
		
		// these folders are located in the <InstallDir> directory. Change the paths to absolute paths, or paths relative to this application.
		String[] imagesPath = {"images", "backgroundImages"};
				
		// QbChartDesigner (Object, name of XML file, start from Data Registry?, images directory) 
		designer = new QbChartDesigner(parent, "DataRegistry/sample.xml", true, imagesPath);

		designer.setVisible(true);

	}

}